You are on page 1of 1

2020 -

Design Computation

Rhino Command Line (RCL) Rhino Script Editor (RSE) Documentation Python 3.0 Documentation
https://www.rhino3d.com https://developer.rhino3d.com/guides/rhinopython/ https://docs.python.org/3/
https://www.rhino3d.com/tutorials https://developer.rhino3d.com/guides/rhinopython/primer-101/ https://www.py4e.com
Also see rhinoscriptsyntax documentation in Rhino Python Editor

RSE Libraries and Modules Python Libraries and Modules


import rhinoscriptsyntax as rs import random as rnd

RCL Point, line, surface, geo. RSE Point, line, surface, geometry Operators, Comparators
and Conditions
point rs.AddPoint() SPACE FOR ADDITIONAL NOTES
rs.AddPoints() + - * / // % **
rs.AddSrfPt()
< > <= >= == !=
line rs.AddLine()
curve rs.AddCurve() in not in and & |
circle rs.AddCircle()
Basic Operations
rectangle rs.AddRectangle()
rs.AddPlanarSrf() min()
ellipse rs.AddEllipse() max()
pipe rs.AddPipe() len()
box rs.AddBox() range()
cone rs.AddCone() rnd.random()
sweep1 rs.AddSweep1() print() -> outputs text to the
sweep2 rs.AddSweep2() console in rhino’s python editor
RCL - Transformations Dictionary Operations
move
RCL - Transformations
.get()
rotate rs.RotateObject() SPACE FOR ADDITIONAL NOTES .values()
scale rs.ScaleObject() .keys()
mirror rs.MoveObject() .items()
rs.MirrorObject()
RCL - Miscellaneous List Operations

extend RSE - Miscellaneous .append()


loft .pop()
offset rs.ExtendCurve() rs.CurvePerpFrame() .sort()
rs.AddLoftSrf() rs.WorldXYPlane()
extrude rs.OffsetCurve() rs.ReverseCurve() Function Definition
rs.OffsetSurface() rs.RebuildSurface() def functionName(p1,p2):
RSE - Selection and Input rs.ExtrudeSurface() rs.JoinCurves() statement block/operation
rs.AddTextDot() return resultValue
rs.GetString() rs.ObjectColor() (default is None if return not
rs.GetInteger() rs.CopyObject()
rs.GetReal() rs.DeleteObject() Loop Statement
rs.GetObject() rs.HideObject() Optional loop controls: if, def functionName(p1,p2):
rs.GetObjects() rs.EnableRedraw() else, elif, break, continue statement block/operation
rs.PointCoordinates()
Conditional Loop
RSE - Line, Curve and Surface Evaluation
RSE - Vectors while condition:
rs.Distance() rs.PointClosestObject() statement block
rs.PointAdd()
rs.VectorCreate() rs.DivideCurve() rs.CurveDomain()
rs.CurveMidPoint() rs.SurfaceDomain() Class Construction:
rs.VectorUnitize()
rs.VectorAngle() rs.CurveAreaCentroid() rs.SurfaceNormal() class ClassName():
rs.VectorScale() rs.CurveStartPoint() rs.SurfaceAreaCentroid() def __init__(self, P1, P2):
rs.VectorCreate() rs.CurveEndPoint() rs.EvaluateSurface() self.p1 = P1
rs.VectorLength() rs.CurveClosestPoint() rs.PlaneFromNormal() self.p2 = P2
rs.CurveDomain() rs.DistanceToPlane() see Function Definition
rs.BrepClosestPoint() rs.PlaneFromPoints()

You might also like